/*****************************************************************************
* Copyright (c) 1990-2000 Digi International Inc., All Rights Reserved
* 
* This software contains proprietary and confidential information of Digi
* International Inc.  By accepting transfer of this copy, Recipient agrees
* to retain this software in confidence, to prevent disclosure to others,
* and to make no use of this software other than that for which it was
* delivered.  This is an unpublished copyrighted work of Digi International
* Inc.  Except as permitted by federal law, 17 USC 117, copying is strictly
* prohibited.
* 
* Restricted Rights Legend
*
* Use, duplication, or disclosure by the Government is subject to
* restrictions set forth in sub-paragraph (c)(1)(ii) of The Rights in
* Technical Data and Computer Software clause at DFARS 252.227-7031 or
* subparagraphs (c)(1) and (2) of the Commercial Computer Software -
* Restricted Rights at 48 CFR 52.227-19, as applicable.
*
* Digi International Inc. 11001 Bren Road East, Minnetonka, MN 55343
*
*****************************************************************************/


// FT1Circuit.cpp: implementation of the FT1Circuit class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "ObjectFactory.h"
#include "Resource.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

IMPLEMENT_DYNAMIC(CFT1Circuit, CConfigObject)

CFT1Circuit::CFT1Circuit(HKEY const hKeyRoot, CString const & strRegPath, CConfigObject const * const pParent) : CAdapter(hKeyRoot, strRegPath, pParent)
{
	// Set what we can do
	SetAbility(CConfigObject::DOPROPERTIES);
}

CFT1Circuit::~CFT1Circuit()
{
   try
   {
   }
   catch (CAffirmException ae)
   {
   }
}

//
// Configuration Parameters
//

//
// UI Handling
//

BOOL CFT1Circuit::BuildDisplayTree(CTreeNode * const pNode)
{
   BOOL fSuccess = FALSE;
   try
   {
      AffirmThrow(pNode != NULL);

      pNode->SetDisplayName("Dummy Circuit");
      pNode->SetConfigObject(this);
      TRACE("CFT1Circuit::BuildDisplayTree:Added dummy node...\n");

      fSuccess = TRUE;
   }
   catch (CAffirmException ae)
   {
   }

   return fSuccess;
}

CString CFT1Circuit::GetInformationText(void)
{
   CString strInfo;
   strInfo = "This is a dummy node";
   return strInfo;
}

BOOL CFT1Circuit::DoProperties(void)
{
   BOOL fThingsHaveChanged = FALSE;

   try
   {
      TRACE("CFT1Circuit::DoProperties()\n");
   }
   catch (CAffirmException ae)
   {
   }

   return fThingsHaveChanged;
}
